Package com.pixelmed.convert

## Class AddTIFFOrOffsetTables

- java.lang.Object
- - com.pixelmed.convert.AddTIFFOrOffsetTables

-     public class AddTIFFOrOffsetTables
      extends java.lang.Object

  A class for to add make a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

  See Also:
    `TIFFToDicom`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddTIFFOrOffsetTables​(java.lang.String inputFileName, java.lang.String outputFileName, boolean addTIFF, boolean useBigTIFF)` | Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddTIFFOrOffsetTables

          public AddTIFFOrOffsetTables​(java.lang.String inputFileName,
                                       java.lang.String outputFileName,
                                       boolean addTIFF,
                                       boolean useBigTIFF)
                                throws java.io.IOException,
                                       DicomException,
                                       TIFFException,
                                       java.lang.NumberFormatException

      Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

      Does not change the Transfer Syntax.

      Parameters:
        `inputFileName` -
        `outputFileName` -
        `addTIFF` - whether or not to add a TIFF IFD in the DICOM preamble to make a dual=personality DICOM-TIFF file sharing the same pixel data
        `useBigTIFF` - whether or not to create a BigTIFF rather than Classic TIFF file
      Throws:
        `java.io.IOException`
        `DicomException`
        `java.lang.NumberFormatException`
        `TIFFException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a DICOM image input format file and create a dual-personality DICOM-TIFF file and/or add Basic or Extended Offset Tables.

      Options are:

      ADDTIFF | DONOTADDTIFF (default)

      USEBIGTIFF (default) | DONOTUSEBIGTIFF

      Parameters:
        `arg` - two parameters plus options, the DICOM inputFile, the DICOM outputFile, then various options controlling conversion